pro sxt_sfx2www
;+
; Purpose: make rescent SXT full disk movies from sfx
;
; History:
;   1-Feb-2000 - S.L.Freeland - (demo some sw)
;
; Calls:
;   sxt:     rd_xda, sxt_prep
;   ssw/gen: html_doc, file_append, concat_dir
;            special_movie, file_list, event_movie
;-

moviedir=concat_dir('$path_http','sxt_movies')   ; where to stickem
htmldoc = concat_dir(moviedir,'lastsfx.html')    ; top level html

sfx=['sfx_last72.0000','sfx_newest.0000']        ; desired sfx list
msfx=strsplit(sfx,'.',/head)                     ; root movie names
sfxp=file_list('$ydb/sfx',sfx)                   ; full sfx path

html_doc,htmldoc,/header                         ; start an html document

for i=0,n_elements(sfxp)-1 do begin 
   rd_xda,sfxp(i),-1,ii,dd                                ; readit
   sxt_prep,ii,dd,oii,odd,/reg, /roll,/sfd_corr,outres=1  ; prepit  
   event_movie, oii, data=odd, goesdata, /goes            ; add goes
   special_movie, oii, goesdata, outsize=512,      $      ; index/data->www
      movie_name=msfx(i), movie_dir=moviedir,      $      ; name/where?
      /inctime, thumbsize=128, table=3, /reverse,  $      ; details  
      /no_htmldoc, html=html                              ; HTML is ouput
   file_append, htmldoc, ['<h4>',msfx(i),'</h4>',html]    ; append HTML
endfor    

html_doc,htmldoc,/trailer                        ; "close" html doc
box_message,'Done: ' + http_names(htmldoc)

return
end
