pro trace_plot_wwwdata_stat, stats, purge=purge
;
if not data_chk(stats,/struct) then stats=trace_wwwdata_stat()
;
statdir=stats(0).filename
break_file,statdir,ll,pp,ff
statdir=pp
ips=strsplit(stats.email,'@',/tail)
uips=uniq(ips,sort(ips))
nuip='Uniq IP ' + strtrim(n_elements(uips),2)

domains=strsplit(ips,'.',/last,/tail)
udom=uniq(domains,sort(domains))
nudom='Uniq Domains ' + strtrim(n_elements(udom),2)
udoms=domains(udom)
sudom='   ' + arr2str(domains(udom))
nuout=n_elements(udoms)/5
nuout=nuout+([5,0])(n_elements(udoms) mod 5 eq 0)
pdoms=strarr(nuout)

fmt_timer, stats, first_time, last_time
fday=anytim(first_time,/ecs,/date_only)
lday=anytim(last_time,/ecs,/date_only)
; plots:

dtemp=!d.name

wdef,xx,640,512,/zbuffer
linecolors
erase

nstats=n_elements(stats)
; Images Requested
root='images_trans_'
iexist=file_list(statdir,root+'*.gif',/cd)
if keyword_set(purge) then file_delete,iexist

outfile=concat_dir(statdir,root+time2file(last_time,/date_only)+'.gif')

utplot, stats(1:*), totvect(stats.nimages), psym=2, color=7, background=11, $
	title='Images Requested: '+ fday + ' to ' + lday, ytitle ='Images'
xyouts,.2,.9,'Number Requests: ' + strtrim(nstats,2),/normal,color=5
xyouts,.2,.85,'Total Images: ' + strtrim(long(total(stats.nimages)),2),/normal,color=5
xyouts,.2,.8,nuip,/normal,color=5
xyouts,.2,.75,nudom,/normal,color=5
xyouts,.2,.72, sudom,/normal,color=5
	
zbuff2file,outfile

; Bytes Requested
root='bytes_trans_'
bexist=file_list(statdir,root+'*.gif',/cd)
if keyword_set(purge) then file_delete,bexist

outfile=concat_dir(statdir,root+time2file(last_time,/date_only)+'.gif')
erase
tbytes=long(total(stats.nbytes)/1.e6)
utplot, stats(1:*), totvect(stats.nbytes)/1.e9, psym=2, color=7, background=11, $
	title='Bytes Requested: '+fday + ' to ' + lday, ytitle ='GIGABytes'
xyouts,.2,.9,'Number Requests: ' + strtrim(nstats,2),/normal,color=5
xyouts,.2,.85,'Total Bytes: ' + strtrim(tbytes,2) +' MBytes',/normal,color=5
xyouts,.2,.8,nuip,/normal,color=5
xyouts,.2,.75,nudom,/normal,color=5
xyouts,.2,.72, sudom,/normal,color=5

zbuff2file,outfile

; make html summary

set_plot,dtemp
return
end
