function trace_wwwdata_stat, time0, time1, files=files, $
         generate=generate, debug=debug, refresh=refresh

statstr={filename:'', requested_by:'', email:'',  $
	 day:0, time:0L, $
	 nmxf:0l, nff:0l,  nimages:0l, nbytes:0l }

refresh=keyword_set(refresh)
orderdir=concat_dir('path_http','Data/orders/finished')
genindex=concat_dir(orderdir,'finished.genx')

restgen, file=genindex, existing                    ; existing orders
refresh=1-data_chk(existing,/struct) or keyword_set(refresh)

case 1 of
  n_params() ge 2: begin
     retval=-1
     ss=sel_timrange(existing,time0,time1)
     if ss(0) ne -1 then retval=existing(ss)
     return,retval                                       ; early exit
  endcase
  data_chk(files,/string):
  else: files=file_list(orderdir,'trace_idlcat*.html',/cd)  ; all files
endcase

if not refresh then begin
  break_file,files,ll0,pp0,ff0,ee0,vv0
  break_file,existing.filename,ll1,pp1,ff1,ee1,vv1
  ss=rem_elem(ff0,ff1,count)             ; dont redo 
  if count eq 0 then begin
     box_message,'All files already processed, returning...'
     return,existing
  endif
  files=files(ss)
endif  

nfiles=n_elements(files)
box_message,'Processing '+strtrim(nfiles,2) + ' files...'
retval=replicate(statstr,nfiles)
ftimes=file2time(files,out='ints')

retval.day=ftimes.day
retval.time=ftimes.time
if n_elements(files) eq 1 then retval.filename=files(0) else retval.filename=files

for i=0, nfiles-1 do begin
   dat=rd_tfile(files(i))          ; read an html file
   
;   extract get the TRACE file names
   ssf=where( (strpos(dat,'/trb') ne -1) or (strpos(dat,'/trf') ne -1),sscnt)
   fnames=strextract(dat(ssf),'"')   
   break_file,fnames, ll, pp, tfile, extension, version

;  total each type and insert in output structure
   mxfs=total(strpos(extension,'mxf') ne -1)
   nff=sscnt-mxfs
   retval(i).nmxf=total(mxfs)
   retval(i).nff=total(nff)
   
;  get the total number of bytes
   fsizes=strextract(dat(ssf+1),'<td>','</td>')
   fact=([1.e6,1.e3])(strpos(fsizes,'KB') ne -1)
   retval(i).nbytes=total(fsizes*fact)
   nimage=strextract(dat(ssf+2),'<td>','</td>')
   retval(i).nimages=total(str2number(nimage))

;  requestor 
   retval(i).requested_by=(strextract(pp(0),'current/','/'))(0)
   epat=retval(i).requested_by+'@'
   ss=where(strpos(dat,epat) ne -1,ecnt)
   if ecnt gt 0 and strlen(epat) gt 1 then retval(i).email= $
       epat+'@'+(strextract(dat(ss(0)), epat,'<'))(0)
endfor

; update 

if refresh then alloutput=retval else begin 
   alloutput=concat_struct(existing,retval)
   alloutput=sort_index(alloutput)
endelse

savegen, existing,  file=str_replace(genindex,'.genx','_previous.genx')
savegen, alloutput, file=genindex

return, retval
end


