pro trace_wwworders_index, debug=debug
;+
;  
;-
  
order_dir=concat_dir(concat_dir('$path_http','Data'),'orders')
finished=concat_dir(order_dir,'finished')
index=concat_dir(finished,'index.html')

files=file_list(finished,'trace_idlcat_*.html',/cd)
files=files(sort(file2time(files,out='tai')))

lastn=n_elements(files) < 75                            ; limit list
rfiles=(reverse(files))(0:lastn-1)
emails=strarr(lastn)
if keyword_set(debug) then stop
for i=0,lastn-1 do begin
  dat=rd_tfile(rfiles(i))
  emailx=where(strpos(dat,'EMAIL') ne -1,emcnt)
  if emcnt gt 0 then emails(i)=strextract(dat(emailx(0)),'<font','</font>',/inc)
endfor
rfilename=strsplit(rfiles,'/',/last,/tail)


; ---------------- generate the index file ------------------
html_doc,index,/header
statroot='index_stats.html'
statdoc=concat_dir(finished,statroot)
file_append,index, $
     str2html(statroot,link_text='TRACE WWW Data Request and Transfer Statistics')
file_append,index,'<h2>Completed TRACE Data Orders</h2>'
file_append,index,'<br>' + str2html(rfilename) + ' ' + emails 
html_doc,index,/trailer
; --------------------------------------------------------

; ------------- generate statistics plots/document ---------
stat=trace_wwwdata_stat(/generate)
trace_plot_wwwdata_stat,/purge

statfiles=file_list(finished,'*gif')
break_file,statfiles,ll,pp,ff,ee
html_doc,statdoc,/header
file_append,statdoc,'<h2>TRACE WWW Data Request/Delivery Statistics</h2>'
for i=0,n_elements(statfiles) -1 do $
   file_append,statdoc,strtab2html(transpose([ff(i),'<img src="'+ff(i)+ee(i)+'">']),/row0header)
file_append,statdoc,$
   ['<p><em>Generated by ', $
    '<a href="http://www.lmsal.com/solarsoft">SolarSoft</em></a>, ' + systime() ]
html_doc,statdoc,/trailer
; ------------------------------------------------------

return
end
